Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxOsServicesComponents.h Go to the documentation of this file.
    00001
    00048 #ifndef IxOsServicesComponents_H
    00049 #define IxOsServicesComponents_H
    00050
    00051 #if !defined (IxOsServicesMemAccess_H) && !defined (IxOsServicesMemMap_H)
    00052
    00053 #error IxOsServicesComponents.h should not be included directly - use IxOsServicesMemAccess.h instead
    00054
    00055 #endif /* protection against direct inclusion */
    00056
    00057 /* List of components maintained in this file
    00058  * Please update the list when adding or removing component definitions
    00059  * making sure you update the value definitions below, remembering to
    00060  * prefix the component #define with "ix_"
    00061  *
    00062  * osServices
    00063  * dmaAcc
    00064  * atmdAcc
    00065  * atmsch
    00066  * ethAcc
    00067  * npeMh
    00068  * qmgr
    00069  * npeDl
    00070  * atmm
    00071  * hssAcc
    00072  * ethDB
    00073  * ethMii
    00074  * timerCtrl
    00075  * adsl
    00076  * usb
    00077  * uartAcc
    00078  * featureCtrl
    00079  * cryptoAcc
    00080  * perfProfAcc
    00081  * flashUpgrade
    00082  * codelets_uartAcc
    00083  * codelets_timers
    00084  * codelets_atm
    00085  * codelets_ethAal5App
    00086  * integration_hssAcc
    00087  * codelets_demoUtils
    00088  * codelets_usb
    00089  * codelets_hssAcc
    00090  * integration_adsl
    00091  * integration_atmdAcc
    00092  * integration_usb
    00093  * integration_dma
    00094  * unloadAcc
    00095  */
    00096
    00097 /*
    00098  * Component controlled defines
    00099  *
    00100  * Each component must define exactly one of the following mappings:
    00101  *
    00102  * CSR_BE_MAPPING
    00103  * CSR_LE_DATA_COHERENT_MAPPING
    00104  * CSR_LE_ADDRESS_COHERENT_MAPPING
    00105  * CSR_NO_MAPPING
    00106  *
    00107  * If a component defined below does not access I/O mapped memory
    00108  * then CSR_NO_MAPPING should be used. Alternatively,
    00109  * the component could not use (include) IxOsServicesMem.h at all.
    00110  *
    00111  * In Big Endian systems the CSR_BE_MAPPING is defined by default
    00112  * in IxOsServicesMem.h. If a component does not use I/O mapped
    00113  * memory it must define CSR_NO_MAPPING.
    00114  *
    00115  * By default IX_STATIC_MEMORY_MAP is defined for all the components.
    00116  * If any component uses a dynamic memory map it must define
    00117  * IX_DYNAMIC_MEMORY_MAP in its corresponding section.
    00118  */
    00119
    00120 #define ix_osServices          1
    00121 #define ix_dmaAcc              2
    00122 #define ix_atmdAcc             3
    00123
    00124 #define ix_atmsch              5
    00125 #define ix_ethAcc              6
    00126 #define ix_npeMh               7
    00127 #define ix_qmgr                8
    00128 #define ix_npeDl               9
    00129 #define ix_atmm                10
    00130 #define ix_hssAcc              11
    00131 #define ix_ethDB               12
    00132 #define ix_ethMii              13
    00133 #define ix_timerCtrl           14
    00134 #define ix_adsl                15
    00135 #define ix_usb                 16
    00136 #define ix_uartAcc             17
    00137 #define ix_featureCtrl         18
    00138 #define ix_cryptoAcc           19
    00139 #define ix_flashUpgrade        20
    00140 #define ix_codelets_uartAcc    21
    00141 #define ix_codelets_timers     22
    00142 #define ix_codelets_atm        23
    00143 #define ix_codelets_ethAal5App 24
    00144 #define ix_integration_hssAcc  25
    00145 #define ix_codelets_demoUtils  26
    00146 #define ix_codelets_usb        27
    00147 #define ix_codelets_hssAcc     28
    00148 #define ix_integration_adsl    29
    00149 #define ix_integration_atmdAcc 30
    00150 #define ix_integration_usb     31
    00151 #define ix_integration_dmaAcc  32
    00152 #define ix_unloadAcc           33
    00153 #define ix_perfProfAcc         34
    00154 #define ix_integration_perfProfAcc  35
    00155
    00156 /*********************************
    00157  * Trap for not defining a value *
    00158  * associated to the component   *
    00159  *********************************/
    00160 #if (IX_COMPONENT_NAME == 0)
    00161
    00162 #error Invalid IX_COMPONENT_NAME
    00163
    00164 #endif
    00165
    00166 /***************************
    00167  * osServices
    00168  ***************************/
    00169 #if (IX_COMPONENT_NAME == ix_osServices)
    00170
    00171 #if defined (IX_OSSERV_VXWORKS_LE)
    00172
    00173 #define CSR_LE_DATA_COHERENT_MAPPING
    00174
    00175 #endif /* IX_OSSERV_VXWORKS_LE */
    00176
    00177 #endif /* osServices */
    00178
    00179 /***************************
    00180  * dmaAcc
    00181  ***************************/
    00182 #if (IX_COMPONENT_NAME == ix_dmaAcc)
    00183
    00184 #if defined (IX_OSSERV_VXWORKS_LE)
    00185
    00186 #define CSR_LE_DATA_COHERENT_MAPPING
    00187
    00188 #endif /* IX_OSSERV_VXWORKS_LE */
    00189
    00190 #endif /* dmaAcc */
    00191
    00192 /***************************
    00193  * atmdAcc
    00194  ***************************/
    00195 #if (IX_COMPONENT_NAME == ix_atmdAcc)
    00196
    00197 #if defined (IX_OSSERV_VXWORKS_LE)
    00198
    00199 #define CSR_LE_DATA_COHERENT_MAPPING
    00200
    00201 #endif /* IX_OSSERV_VXWORKS_LE */
    00202
    00203 #endif /* atmdAcc */
    00204
    00205 /***************************
    00206  * atmsch
    00207  ***************************/
    00208 #if (IX_COMPONENT_NAME == ix_atmsch)
    00209
    00210 #if defined (IX_OSSERV_VXWORKS_LE)
    00211
    00212 #define CSR_LE_DATA_COHERENT_MAPPING
    00213
    00214 #endif /* IX_OSSERV_VXWORKS_LE */
    00215
    00216 #endif /* atmsch */
    00217
    00218 /***************************
    00219  * ethAcc
    00220  ***************************/
    00221 #if (IX_COMPONENT_NAME == ix_ethAcc)
    00222
    00223 #if defined (IX_OSSERV_VXWORKS_LE)
    00224
    00225 #define CSR_LE_DATA_COHERENT_MAPPING
    00226
    00227 #endif /* IX_OSSERV_VXWORKS_LE */
    00228
    00229 #endif /* ethAcc */
    00230
    00231 /***************************
    00232  * npeMh
    00233  ***************************/
    00234 #if (IX_COMPONENT_NAME == ix_npeMh)
    00235
    00236 #if defined (IX_OSSERV_VXWORKS_LE)
    00237
    00238 #define CSR_LE_DATA_COHERENT_MAPPING
    00239
    00240 #endif /* IX_OSSERV_VXWORKS_LE */
    00241
    00242 #endif /* npeMh */
    00243
    00244 /***************************
    00245  * qmgr
    00246  ***************************/
    00247 #if (IX_COMPONENT_NAME == ix_qmgr)
    00248
    00249 #if defined (IX_OSSERV_VXWORKS_LE)
    00250
    00251 #define CSR_LE_DATA_COHERENT_MAPPING
    00252
    00253 #endif /* IX_OSSERV_VXWORKS_LE */
    00254
    00255 #endif /* qmgr */
    00256
    00257 /***************************
    00258  * npeDl
    00259  ***************************/
    00260 #if (IX_COMPONENT_NAME == ix_npeDl)
    00261
    00262 #if defined (IX_OSSERV_VXWORKS_LE)
    00263
    00264 #define CSR_LE_DATA_COHERENT_MAPPING
    00265
    00266 #endif /* IX_OSSERV_VXWORKS_LE */
    00267
    00268 #endif /* npeDl */
    00269
    00270 /***************************
    00271  * atmm
    00272  ***************************/
    00273 #if (IX_COMPONENT_NAME == ix_atmm)
    00274
    00275 #if defined (IX_OSSERV_VXWORKS_LE)
    00276
    00277 #define CSR_LE_DATA_COHERENT_MAPPING
    00278
    00279 #endif /* IX_OSSERV_VXWORKS_LE */
    00280
    00281 #endif /* atmm */
    00282
    00283 /***************************
    00284  * hssAcc
    00285  ***************************/
    00286 #if (IX_COMPONENT_NAME == ix_hssAcc)
    00287
    00288 #if defined (IX_OSSERV_VXWORKS_LE)
    00289
    00290 #define CSR_NO_MAPPING
    00291
    00292 #endif /* IX_OSSERV_VXWORKS_LE */
    00293
    00294 #endif /* hssAcc */
    00295
    00296 /***************************
    00297  * ethDB
    00298  ***************************/
    00299 #if (IX_COMPONENT_NAME == ix_ethDB)
    00300
    00301 #define CSR_NO_MAPPING
    00302
    00303 #endif /* ethDB */
    00304
    00305 /***************************
    00306  * ethMii
    00307  ***************************/
    00308 #if (IX_COMPONENT_NAME == ix_ethMii)
    00309
    00310 #if defined (IX_OSSERV_VXWORKS_LE)
    00311
    00312 #define CSR_LE_DATA_COHERENT_MAPPING
    00313
    00314 #endif /* IX_OSSERV_VXWORKS_LE */
    00315
    00316 #endif /* ethMii */
    00317
    00318 /***************************
    00319  * timerCtrl
    00320  ***************************/
    00321 #if (IX_COMPONENT_NAME == ix_timerCtrl)
    00322
    00323 #if defined (IX_OSSERV_VXWORKS_LE)
    00324
    00325 #define CSR_LE_DATA_COHERENT_MAPPING
    00326
    00327 #endif /* IX_OSSERV_VXWORKS_LE */
    00328
    00329 #endif /* timerCtrl */
    00330
    00331 /***************************
    00332  * adsl
    00333  ***************************/
    00334 #if (IX_COMPONENT_NAME == ix_adsl)
    00335
    00336 #if defined (IX_OSSERV_VXWORKS_LE)
    00337
    00338 #define CSR_LE_ADDRESS_COHERENT_MAPPING
    00339
    00340 #elif defined (IX_OSSERV_LINUX_BE)
    00341
    00342 /* uses dynamic mapped memory in linux */
    00343 #define IX_DYNAMIC_MEMORY_MAP
    00344
    00345 #endif /* OS selection */
    00346
    00347 #endif /* adsl */
    00348
    00349 /***************************
    00350  * usb
    00351  ***************************/
    00352 #if (IX_COMPONENT_NAME == ix_usb)
    00353
    00354 #if defined (IX_OSSERV_VXWORKS_LE)
    00355
    00356 #define CSR_LE_DATA_COHERENT_MAPPING
    00357
    00358 #endif /* IX_OSSERV_VXWORKS_LE */
    00359
    00360 #endif /* usb */
    00361
    00362 /***************************
    00363  * uartAcc
    00364  ***************************/
    00365 #if (IX_COMPONENT_NAME == ix_uartAcc)
    00366
    00367 #if defined (IX_OSSERV_VXWORKS_LE)
    00368
    00369 #define CSR_LE_DATA_COHERENT_MAPPING
    00370
    00371 #endif /* IX_OSSERV_VXWORKS_LE */
    00372
    00373 #endif /* uartAcc */
    00374
    00375 /***************************
    00376  * featureCtrl
    00377  ***************************/
    00378 #if (IX_COMPONENT_NAME == ix_featureCtrl)
    00379
    00380 #if defined (IX_OSSERV_VXWORKS_LE)
    00381
    00382 #define CSR_LE_DATA_COHERENT_MAPPING
    00383
    00384 #endif /* IX_OSSERV_VXWORKS_LE */
    00385
    00386 #endif /* featureCtrl */
    00387
    00388 /***************************
    00389  * cryptoAcc
    00390  ***************************/
    00391 #if (IX_COMPONENT_NAME == ix_cryptoAcc)
    00392
    00393 #if defined (IX_OSSERV_VXWORKS_LE)
    00394
    00395 #define CSR_LE_DATA_COHERENT_MAPPING
    00396
    00397 #endif /* IX_OSSERV_VXWORKS_LE */
    00398
    00399 #endif /* cryptoAcc */
    00400
    00401 /***************************
    00402  * flashUpgrade
    00403  ***************************/
    00404 #if (IX_COMPONENT_NAME == ix_flashUpgrade)
    00405
    00406 #if defined (IX_OSSERV_VXWORKS_LE)
    00407
    00408 #define CSR_LE_DATA_COHERENT_MAPPING
    00409
    00410 #endif /* IX_OSSERV_VXWORKS_LE */
    00411
    00412 #endif /* flashUpgrade */
    00413
    00414 /***************************
    00415  * codelets_usb
    00416  ***************************/
    00417 #if (IX_COMPONENT_NAME == ix_codelets_usb)
    00418
    00419 #if defined (IX_OSSERV_VXWORKS_LE)
    00420
    00421 #define CSR_LE_DATA_COHERENT_MAPPING
    00422
    00423 #endif /* IX_OSSERV_VXWORKS_LE */
    00424
    00425 #endif /* codelets_usb */
    00426
    00427 /***************************
    00428  * integration_usb
    00429  ***************************/
    00430 #if (IX_COMPONENT_NAME == ix_integration_usb)
    00431
    00432 #if defined (IX_OSSERV_VXWORKS_LE)
    00433
    00434 #define CSR_LE_DATA_COHERENT_MAPPING
    00435
    00436 #endif /* IX_OSSERV_VXWORKS_LE */
    00437
    00438 #endif /* integration_usb */
    00439
    00440 /***************************
    00441  * codelets_uartAcc
    00442  ***************************/
    00443 #if (IX_COMPONENT_NAME == ix_codelets_uartAcc)
    00444
    00445 #if defined (IX_OSSERV_VXWORKS_LE)
    00446
    00447 #define CSR_LE_DATA_COHERENT_MAPPING
    00448
    00449 #endif /* IX_OSSERV_VXWORKS_LE */
    00450
    00451 #endif /* codelets_uartAcc */
    00452
    00453 /***************************
    00454  * codelets_timers
    00455  ***************************/
    00456 #if (IX_COMPONENT_NAME == ix_codelets_timers)
    00457
    00458 #if defined (IX_OSSERV_VXWORKS_LE)
    00459
    00460 #define CSR_LE_DATA_COHERENT_MAPPING
    00461
    00462 #endif /* IX_OSSERV_VXWORKS_LE */
    00463
    00464 #endif /* codelets_timers */
    00465
    00466 /***************************
    00467  * codelets_atm
    00468  ***************************/
    00469 #if (IX_COMPONENT_NAME == ix_codelets_atm)
    00470
    00471 #if defined (IX_OSSERV_VXWORKS_LE)
    00472
    00473 #define CSR_LE_DATA_COHERENT_MAPPING
    00474
    00475 #endif /* IX_OSSERV_VXWORKS_LE */
    00476
    00477 #endif /* codelets_atm */
    00478
    00479 /***************************
    00480  * codelets_ethAal5App
    00481  ***************************/
    00482 #if (IX_COMPONENT_NAME == ix_codelets_ethAal5App)
    00483
    00484 #if defined (IX_OSSERV_VXWORKS_LE)
    00485
    00486 #define CSR_LE_DATA_COHERENT_MAPPING
    00487
    00488 #endif /* IX_OSSERV_VXWORKS_LE */
    00489
    00490 #endif /* codelets_ethAal5App */
    00491
    00492 /***************************
    00493  * integration_hssAcc
    00494  ***************************/
    00495 #if (IX_COMPONENT_NAME == ix_integration_hssAcc)
    00496
    00497 #if defined (IX_OSSERV_VXWORKS_LE)
    00498
    00499 #define CSR_LE_DATA_COHERENT_MAPPING
    00500
    00501 #endif /* IX_OSSERV_VXWORKS_LE */
    00502
    00503 #endif /* integration_hssAcc */
    00504
    00505 /***************************
    00506  * codelets_demoUtils
    00507  ***************************/
    00508 #if (IX_COMPONENT_NAME == ix_codelets_demoUtils)
    00509
    00510 #if defined (IX_OSSERV_VXWORKS_LE)
    00511
    00512 #define CSR_LE_DATA_COHERENT_MAPPING
    00513
    00514 #endif /* IX_OSSERV_VXWORKS_LE */
    00515
    00516 #endif /* codelets_demoUtils */
    00517
    00518 /***************************
    00519  * codelets_hssAcc
    00520  ***************************/
    00521 #if (IX_COMPONENT_NAME == ix_codelets_hssAcc)
    00522
    00523 #if defined (IX_OSSERV_VXWORKS_LE)
    00524
    00525 #define CSR_NO_MAPPING
    00526
    00527 #endif /* IX_OSSERV_VXWORKS_LE */
    00528
    00529 #endif  /* codelets_hssAcc */
    00530
    00531 /***************************
    00532  * integration_adsl
    00533  ***************************/
    00534 #if (IX_COMPONENT_NAME == ix_integration_adsl)
    00535
    00536 #if defined (IX_OSSERV_VXWORKS_LE)
    00537
    00538 #define CSR_LE_DATA_COHERENT_MAPPING
    00539
    00540 #endif /* IX_OSSERV_VXWORKS_LE */
    00541
    00542 #endif  /* integration_adsl */
    00543
    00544 /***************************
    00545  * integration_atmdAcc
    00546  ***************************/
    00547 #if (IX_COMPONENT_NAME == ix_integration_atmdAcc)
    00548
    00549 #if defined (IX_OSSERV_VXWORKS_LE)
    00550
    00551 #define CSR_LE_DATA_COHERENT_MAPPING
    00552
    00553 #endif /* IX_OSSERV_VXWORKS_LE */
    00554
    00555 #endif  /* ix_integration_atmAcc */
    00556
    00557 /***************************
    00558  * perfProfAcc
    00559  ***************************/
    00560 #if (IX_COMPONENT_NAME == ix_perfProfAcc)
    00561
    00562 #if defined (IX_OSSERV_VXWORKS_LE)
    00563
    00564 #define CSR_LE_ADDRESS_COHERENT_MAPPING
    00565
    00566 #endif /* IX_OSSERV_VXWORKS_LE */
    00567
    00568 #endif /* perfProfAcc */
    00569
    00570 /***************************
    00571  * integration_perfProfAcc
    00572  ***************************/
    00573 #if (IX_COMPONENT_NAME == ix_integration_perfProfAcc)
    00574
    00575 #if defined (IX_OSSERV_VXWORKS_LE)
    00576
    00577 #define CSR_LE_ADDRESS_COHERENT_MAPPING
    00578
    00579 #endif /* IX_OSSERV_VXWORKS_LE */
    00580
    00581 #endif  /* ix_integration_perfProfAcc */
    00582
    00583
    00584 /***************************
    00585  * unloadAcc
    00586  ***************************/
    00587 #if (IX_COMPONENT_NAME == ix_unloadAcc)
    00588
    00589 #if defined (IX_OSSERV_VXWORKS_LE)
    00590
    00591 #define CSR_LE_DATA_COHERENT_MAPPING
    00592
    00593 #endif /* IX_OSSERV_VXWORKS_LE */
    00594
    00595 #endif /* unloadAcc */
    00596
    00597
    00598 #endif /* IxOsServicesComponents_H */
    00599
Automatically generated from sources. © Intel Corp. 2003